Package com.tibco.patterns.learn.rlink

## Class ConfDefault

- java.lang.Object
- - com.tibco.patterns.learn.rlink.ConfDefault

- All Implemented Interfaces:
    `Confidence`

      public class ConfDefault
      extends java.lang.Object
      implements Confidence

  Settings for the default model confidence measure. Immutable class.

  This measure is used to select the default confidence measure for the model. As it may be different measures the various parameter values are not supported. The default settings are always used.

  It should not be necessary to use this class explicitly. It is the default setting.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConfDefault()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getConfType()` | Return the confidence type.
    `double` | `getDblArg​(int idx)` | Return a double parameter.
    `int` | `getIntArg​(int idx)` | Return an integer parameter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfDefault

          public ConfDefault()

  - ### Method Detail

    - #### getConfType

          public int getConfType()

      Return the confidence type.
      Specified by:
        `getConfType` in interface `Confidence`
      Returns:
        the confidence type for the Default measure.

    - #### getIntArg

          public int getIntArg​(int idx)

      Return an integer parameter. There are none, we just always return -1.
      Specified by:
        `getIntArg` in interface `Confidence`
      Parameters:
        `idx` - the integer parameter index, zero based.
      Returns:
        -1.

    - #### getDblArg

          public double getDblArg​(int idx)

      Return a double parameter. There are none, we always return -1.0.
      Specified by:
        `getDblArg` in interface `Confidence`
      Parameters:
        `idx` - the double parameter index, zero based.
      Returns:
        -1.0